MeCab

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Defines | Typedefs | Enumerations | Functions
/home/taku/proj/mecab/mecab/src/mecab.h File Reference
`#include <cstdio>`

Go to the source code of this file.

## Classes

struct | mecab_dictionary_info_t
| DictionaryInfo structure. More...
struct | mecab_path_t
| Path structure. More...
struct | mecab_node_t
| Node structure. More...
class | MeCab::Lattice
| Lattice class. More...
class | MeCab::Model
| Model class. More...
class | MeCab::Tagger
| Tagger class. More...

## Namespaces

namespace | MeCab

## Defines

#define | MECAB_DLL_CLASS_EXTERN

## Typedefs

typedef struct mecab_t | mecab_t
typedef struct mecab_model_t | mecab_model_t
typedef struct mecab_lattice_t | mecab_lattice_t
typedef struct mecab_dictionary_info_t | mecab_dictionary_info_t
typedef struct mecab_node_t | mecab_node_t
typedef struct mecab_path_t | mecab_path_t
typedef struct mecab_dictionary_info_t | MeCab::DictionaryInfo
typedef struct mecab_path_t | MeCab::Path
typedef struct mecab_node_t | MeCab::Node

## Enumerations

enum | { MECAB_NOR_NODE = 0, MECAB_UNK_NODE = 1, MECAB_BOS_NODE = 2, MECAB_EOS_NODE = 3, MECAB_EON_NODE = 4 }
| Parameters for MeCab::Node::stat. More...
enum | { MECAB_SYS_DIC = 0, MECAB_USR_DIC = 1, MECAB_UNK_DIC = 2 }
| Parameters for MeCab::DictionaryInfo::type. More...
enum | { MECAB_ONE_BEST = 1, MECAB_NBEST = 2, MECAB_PARTIAL = 4, MECAB_MARGINAL_PROB = 8, MECAB_ALTERNATIVE = 16, MECAB_ALL_MORPHS = 32, MECAB_ALLOCATE_SENTENCE = 64 }
| Parameters for MeCab::Lattice::request_type. More...
enum | { MECAB_ANY_BOUNDARY = 0, MECAB_TOKEN_BOUNDARY = 1, MECAB_INSIDE_TOKEN = 2 }
| Parameters for MeCab::Lattice::boundary_constraint_type. More...

## Functions

MECAB_DLL_EXTERN mecab_t * | mecab_new (int argc, char **argv)
| C wrapper of MeCab::Tagger::create(argc, argv)
MECAB_DLL_EXTERN mecab_t * | mecab_new2 (const char *arg)
| C wrapper of MeCab::Tagger::create(arg)
MECAB_DLL_EXTERN const char * | mecab_version ()
| C wrapper of MeCab::Tagger::version()
MECAB_DLL_EXTERN const char * | mecab_strerror (mecab_t *mecab)
| C wrapper of MeCab::getLastError()
MECAB_DLL_EXTERN void | mecab_destroy (mecab_t *mecab)
| C wrapper of MeCab::deleteTagger(tagger)
MECAB_DLL_EXTERN int | mecab_get_partial (mecab_t *mecab)
| C wrapper of MeCab::Tagger:set_partial()
MECAB_DLL_EXTERN void | mecab_set_partial (mecab_t *mecab, int partial)
| C wrapper of MeCab::Tagger::partial()
MECAB_DLL_EXTERN float | mecab_get_theta (mecab_t *mecab)
| C wrapper of MeCab::Tagger::theta()
MECAB_DLL_EXTERN void | mecab_set_theta (mecab_t *mecab, float theta)
| C wrapper of MeCab::Tagger::set_theta()
MECAB_DLL_EXTERN int | mecab_get_lattice_level (mecab_t *mecab)
| C wrapper of MeCab::Tagger::lattice_level()
MECAB_DLL_EXTERN void | mecab_set_lattice_level (mecab_t *mecab, int level)
| C wrapper of MeCab::Tagger::set_lattice_level()
MECAB_DLL_EXTERN int | mecab_get_all_morphs (mecab_t *mecab)
| C wrapper of MeCab::Tagger::all_morphs()
MECAB_DLL_EXTERN void | mecab_set_all_morphs (mecab_t *mecab, int all_morphs)
| C wrapper of MeCab::Tagger::set_all_moprhs()
MECAB_DLL_EXTERN int | mecab_parse_lattice (mecab_t *mecab, mecab_lattice_t *lattice)
| C wrapper of MeCab::Tagger::parse(MeCab::Lattice *lattice)
MECAB_DLL_EXTERN const char * | mecab_sparse_tostr (mecab_t *mecab, const char *str)
| C wrapper of MeCab::Tagger::parse(const char *str)
MECAB_DLL_EXTERN const char * | mecab_sparse_tostr2 (mecab_t *mecab, const char *str, size_t len)
| C wrapper of MeCab::Tagger::parse(const char *str, size_t len)
MECAB_DLL_EXTERN char * | mecab_sparse_tostr3 (mecab_t *mecab, const char *str, size_t len, char *ostr, size_t olen)
| C wrapper of MeCab::Tagger::parse(const char *str, char *ostr, size_t olen)
MECAB_DLL_EXTERN const mecab_node_t * | mecab_sparse_tonode (mecab_t *mecab, const char *)
| C wrapper of MeCab::Tagger::parseToNode(const char *str)
MECAB_DLL_EXTERN const mecab_node_t * | mecab_sparse_tonode2 (mecab_t *mecab, const char *, size_t)
| C wrapper of MeCab::Tagger::parseToNode(const char *str, size_t len)
MECAB_DLL_EXTERN const char * | mecab_nbest_sparse_tostr (mecab_t *mecab, size_t N, const char *str)
| C wrapper of MeCab::Tagger::parseNBest(size_t N, const char *str)
MECAB_DLL_EXTERN const char * | mecab_nbest_sparse_tostr2 (mecab_t *mecab, size_t N, const char *str, size_t len)
| C wrapper of MeCab::Tagger::parseNBest(size_t N, const char *str, size_t len)
MECAB_DLL_EXTERN char * | mecab_nbest_sparse_tostr3 (mecab_t *mecab, size_t N, const char *str, size_t len, char *ostr, size_t olen)
| C wrapper of MeCab::Tagger::parseNBest(size_t N, const char *str, char *ostr, size_t olen)
MECAB_DLL_EXTERN int | mecab_nbest_init (mecab_t *mecab, const char *str)
| C wrapper of MeCab::Tagger::parseNBestInit(const char *str)
MECAB_DLL_EXTERN int | mecab_nbest_init2 (mecab_t *mecab, const char *str, size_t len)
| C wrapper of MeCab::Tagger::parseNBestInit(const char *str, size_t len)
MECAB_DLL_EXTERN const char * | mecab_nbest_next_tostr (mecab_t *mecab)
| C wrapper of MeCab::Tagger::next()
MECAB_DLL_EXTERN char * | mecab_nbest_next_tostr2 (mecab_t *mecab, char *ostr, size_t olen)
| C wrapper of MeCab::Tagger::next(char *ostr, size_t olen)
MECAB_DLL_EXTERN const mecab_node_t * | mecab_nbest_next_tonode (mecab_t *mecab)
| C wrapper of MeCab::Tagger::nextNode()
MECAB_DLL_EXTERN const char * | mecab_format_node (mecab_t *mecab, const mecab_node_t *node)
| C wrapper of MeCab::Tagger::formatNode(const Node *node)
MECAB_DLL_EXTERN const mecab_dictionary_info_t * | mecab_dictionary_info (mecab_t *mecab)
| C wrapper of MeCab::Tagger::dictionary_info()
MECAB_DLL_EXTERN mecab_lattice_t * | mecab_lattice_new ()
| C wrapper of MeCab::createLattice()
MECAB_DLL_EXTERN void | mecab_lattice_destroy (mecab_lattice_t *lattice)
| C wrapper of MeCab::deleteLattice(lattice)
MECAB_DLL_EXTERN void | mecab_lattice_clear (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::clear()
MECAB_DLL_EXTERN int | mecab_lattice_is_available (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::is_available()
MECAB_DLL_EXTERN mecab_node_t * | mecab_lattice_get_bos_node (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::bos_node()
MECAB_DLL_EXTERN mecab_node_t * | mecab_lattice_get_eos_node (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::eos_node()
MECAB_DLL_EXTERN mecab_node_t ** | mecab_lattice_get_all_begin_nodes (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::begin_nodes()
MECAB_DLL_EXTERN mecab_node_t ** | mecab_lattice_get_all_end_nodes (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::end_nodes()
MECAB_DLL_EXTERN mecab_node_t * | mecab_lattice_get_begin_nodes (mecab_lattice_t *lattice, size_t pos)
| C wrapper of MeCab::Lattice::begin_nodes(pos)
MECAB_DLL_EXTERN mecab_node_t * | mecab_lattice_get_end_nodes (mecab_lattice_t *lattice, size_t pos)
| C wrapper of MeCab::Lattice::end_nodes(pos)
MECAB_DLL_EXTERN const char * | mecab_lattice_get_sentence (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::sentence()
MECAB_DLL_EXTERN void | mecab_lattice_set_sentence (mecab_lattice_t *lattice, const char *sentence)
| C wrapper of MeCab::Lattice::set_sentence(sentence)
MECAB_DLL_EXTERN void | mecab_lattice_set_sentence2 (mecab_lattice_t *lattice, const char *sentence, size_t len)
| C wrapper of MeCab::Lattice::set_sentence(sentence, len)
MECAB_DLL_EXTERN size_t | mecab_lattice_get_size (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::size()
MECAB_DLL_EXTERN double | mecab_lattice_get_z (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::Z()
MECAB_DLL_EXTERN void | mecab_lattice_set_z (mecab_lattice_t *lattice, double Z)
| C wrapper of MeCab::Lattice::set_Z()
MECAB_DLL_EXTERN double | mecab_lattice_get_theta (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::theta()
MECAB_DLL_EXTERN void | mecab_lattice_set_theta (mecab_lattice_t *lattice, double theta)
| C wrapper of MeCab::Lattice::set_theta()
MECAB_DLL_EXTERN int | mecab_lattice_next (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::next()
MECAB_DLL_EXTERN int | mecab_lattice_get_request_type (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::request_type()
MECAB_DLL_EXTERN int | mecab_lattice_has_request_type (mecab_lattice_t *lattice, int request_type)
| C wrapper of MeCab::Lattice::has_request_type()
MECAB_DLL_EXTERN void | mecab_lattice_set_request_type (mecab_lattice_t *lattice, int request_type)
| C wrapper of MeCab::Lattice::set_request_type()
MECAB_DLL_EXTERN void | mecab_lattice_add_request_type (mecab_lattice_t *lattice, int request_type)
| C wrapper of MeCab::Lattice::add_request_type()
MECAB_DLL_EXTERN void | mecab_lattice_remove_request_type (mecab_lattice_t *lattice, int request_type)
| C wrapper of MeCab::Lattice::remove_request_type()
MECAB_DLL_EXTERN mecab_node_t * | mecab_lattice_new_node (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::newNode();.
MECAB_DLL_EXTERN const char * | mecab_lattice_tostr (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::toString()
MECAB_DLL_EXTERN const char * | mecab_lattice_tostr2 (mecab_lattice_t *lattice, char *buf, size_t size)
| C wrapper of MeCab::Lattice::toString(buf, size)
MECAB_DLL_EXTERN const char * | mecab_lattice_nbest_tostr (mecab_lattice_t *lattice, size_t N)
| C wrapper of MeCab::Lattice::enumNBestAsString(N)
MECAB_DLL_EXTERN const char * | mecab_lattice_nbest_tostr2 (mecab_lattice_t *lattice, size_t N, char *buf, size_t size)
| C wrapper of MeCab::Lattice::enumNBestAsString(N, buf, size)
MECAB_DLL_EXTERN int | mecab_lattice_has_constraint (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::has_constraint()
MECAB_DLL_EXTERN int | mecab_lattice_get_boundary_constraint (mecab_lattice_t *lattice, size_t pos)
| C wrapper of MeCab::Lattice::boundary_constraint(pos)
MECAB_DLL_EXTERN const char * | mecab_lattice_get_feature_constraint (mecab_lattice_t *lattice, size_t pos)
| C wrapper of MeCab::Lattice::feature_constraint(pos)
MECAB_DLL_EXTERN void | mecab_lattice_set_boundary_constraint (mecab_lattice_t *lattice, size_t pos, int boundary_type)
| C wrapper of MeCab::Lattice::boundary_constraint(pos, type)
MECAB_DLL_EXTERN void | mecab_lattice_set_feature_constraint (mecab_lattice_t *lattice, size_t begin_pos, size_t end_pos, const char *feature)
| C wrapper of MeCab::Lattice::set_feature_constraint(begin_pos, end_pos, feature)
MECAB_DLL_EXTERN void | mecab_lattice_set_result (mecab_lattice_t *lattice, const char *result)
| C wrapper of MeCab::Lattice::set_result(result);.
MECAB_DLL_EXTERN const char * | mecab_lattice_strerror (mecab_lattice_t *lattice)
| C wrapper of MeCab::Lattice::what()
MECAB_DLL_EXTERN mecab_model_t * | mecab_model_new (int argc, char **argv)
| C wapper of MeCab::Model::create(argc, argv)
MECAB_DLL_EXTERN mecab_model_t * | mecab_model_new2 (const char *arg)
| C wapper of MeCab::Model::create(arg)
MECAB_DLL_EXTERN void | mecab_model_destroy (mecab_model_t *model)
| C wapper of MeCab::deleteModel(model)
MECAB_DLL_EXTERN mecab_t * | mecab_model_new_tagger (mecab_model_t *model)
| C wapper of MeCab::Model::createTagger()
MECAB_DLL_EXTERN mecab_lattice_t * | mecab_model_new_lattice (mecab_model_t *model)
| C wapper of MeCab::Model::createLattice()
MECAB_DLL_EXTERN int | mecab_model_swap (mecab_model_t *model, mecab_model_t *new_model)
| C wrapper of MeCab::Model::swap()
MECAB_DLL_EXTERN const mecab_dictionary_info_t * | mecab_model_dictionary_info (mecab_model_t *model)
| C wapper of MeCab::Model::dictionary_info()
MECAB_DLL_EXTERN int | mecab_model_transition_cost (mecab_model_t *model, unsigned short rcAttr, unsigned short lcAttr)
| C wrapper of MeCab::Model::transition_cost()
MECAB_DLL_EXTERN mecab_node_t * | mecab_model_lookup (mecab_model_t *model, const char *begin, const char *end, mecab_lattice_t *lattice)
| C wrapper of MeCab::Model::lookup()
MECAB_DLL_EXTERN int | mecab_do (int argc, char **argv)
MECAB_DLL_EXTERN int | mecab_dict_index (int argc, char **argv)
MECAB_DLL_EXTERN int | mecab_dict_gen (int argc, char **argv)
MECAB_DLL_EXTERN int | mecab_cost_train (int argc, char **argv)
MECAB_DLL_EXTERN int | mecab_system_eval (int argc, char **argv)
MECAB_DLL_EXTERN int | mecab_test_gen (int argc, char **argv)
MECAB_DLL_EXTERN Lattice * | MeCab::createLattice ()
| Alias of Lattice::create()
MECAB_DLL_EXTERN Model * | MeCab::createModel (int argc, char **argv)
| Alias of Mode::create(argc, argv)
MECAB_DLL_EXTERN Model * | MeCab::createModel (const char *arg)
| Alias of Mode::create(arg)
MECAB_DLL_EXTERN Tagger * | MeCab::createTagger (int argc, char **argv)
| Alias of Tagger::create(argc, argv)
MECAB_DLL_EXTERN Tagger * | MeCab::createTagger (const char *arg)
| Alias of Tagger::create(arg)
MECAB_DLL_EXTERN void | MeCab::deleteLattice (Lattice *lattice)
| delete Lattice object.
MECAB_DLL_EXTERN void | MeCab::deleteModel (Model *model)
| delete Model object.
MECAB_DLL_EXTERN void | MeCab::deleteTagger (Tagger *tagger)
| delete Tagger object.
MECAB_DLL_EXTERN const char * | MeCab::getLastError ()
| Return last error string.
MECAB_DLL_EXTERN const char * | MeCab::getTaggerError ()
| An alias of getLastError.

## Define Documentation

#define MECAB_DLL_CLASS_EXTERN

## Typedef Documentation

typedef struct mecab_dictionary_info_t mecab_dictionary_info_t

typedef struct mecab_lattice_t mecab_lattice_t

typedef struct mecab_model_t mecab_model_t

typedef struct mecab_node_t mecab_node_t

typedef struct mecab_path_t mecab_path_t

typedef struct mecab_t mecab_t

## Enumeration Type Documentation

anonymous enum

Parameters for MeCab::Node::stat.

Enumerator:

  MECAB_NOR_NODE | Normal node defined in the dictionary.
  MECAB_UNK_NODE | Unknown node not defined in the dictionary.
  MECAB_BOS_NODE | Virtual node representing a beginning of the sentence.
  MECAB_EOS_NODE | Virtual node representing a end of the sentence.
  MECAB_EON_NODE | Virtual node representing a end of the N-best enumeration.

anonymous enum

Parameters for MeCab::DictionaryInfo::type.

Enumerator:

  MECAB_SYS_DIC | This is a system dictionary.
  MECAB_USR_DIC | This is a user dictionary.
  MECAB_UNK_DIC | This is a unknown word dictionary.

anonymous enum

Parameters for MeCab::Lattice::request_type.

Enumerator:

  MECAB_ONE_BEST | One best result is obtained (default mode)
  MECAB_NBEST | Set this flag if you want to obtain N best results.
  MECAB_PARTIAL | Set this flag if you want to enable a partial parsing mode. When this flag is set, the input |sentence| needs to be written in partial parsing format.
  MECAB_MARGINAL_PROB | Set this flag if you want to obtain marginal probabilities. Marginal probability is set in MeCab::Node::prob. The parsing speed will get 3-5 times slower than the default mode.
  MECAB_ALTERNATIVE | Set this flag if you want to obtain alternative results. Not implemented.
  MECAB_ALL_MORPHS | When this flag is set, the result linked-list (Node::next/prev) traverses all nodes in the lattice.
  MECAB_ALLOCATE_SENTENCE | When this flag is set, tagger internally copies the body of passed sentence into internal buffer.

anonymous enum

Parameters for MeCab::Lattice::boundary_constraint_type.

Enumerator:

  MECAB_ANY_BOUNDARY | The token boundary is not specified.
  MECAB_TOKEN_BOUNDARY | The position is a strong token boundary.
  MECAB_INSIDE_TOKEN | The position is not a token boundary.

## Function Documentation

MECAB_DLL_EXTERN int mecab_cost_train | ( | int | argc,
|  | char ** | argv
| ) |  |

MECAB_DLL_EXTERN void mecab_destroy | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::deleteTagger(tagger)

MECAB_DLL_EXTERN int mecab_dict_gen | ( | int | argc,
|  | char ** | argv
| ) |  |

MECAB_DLL_EXTERN int mecab_dict_index | ( | int | argc,
|  | char ** | argv
| ) |  |

MECAB_DLL_EXTERN const mecab_dictionary_info_t* mecab_dictionary_info | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::Tagger::dictionary_info()

MECAB_DLL_EXTERN int mecab_do | ( | int | argc,
|  | char ** | argv
| ) |  |

MECAB_DLL_EXTERN const char* mecab_format_node | ( | mecab_t * | mecab,
|  | const mecab_node_t * | node
| ) |  |

C wrapper of MeCab::Tagger::formatNode(const Node *node)

MECAB_DLL_EXTERN int mecab_get_all_morphs | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::Tagger::all_morphs()

MECAB_DLL_EXTERN int mecab_get_lattice_level | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::Tagger::lattice_level()

MECAB_DLL_EXTERN int mecab_get_partial | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::Tagger:set_partial()

MECAB_DLL_EXTERN float mecab_get_theta | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::Tagger::theta()

MECAB_DLL_EXTERN void mecab_lattice_add_request_type | ( | mecab_lattice_t * | lattice,
|  | int | request_type
| ) |  |

C wrapper of MeCab::Lattice::add_request_type()

MECAB_DLL_EXTERN void mecab_lattice_clear | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::clear()

MECAB_DLL_EXTERN void mecab_lattice_destroy | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::deleteLattice(lattice)

MECAB_DLL_EXTERN mecab_node_t** mecab_lattice_get_all_begin_nodes | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::begin_nodes()

MECAB_DLL_EXTERN mecab_node_t** mecab_lattice_get_all_end_nodes | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::end_nodes()

MECAB_DLL_EXTERN mecab_node_t* mecab_lattice_get_begin_nodes | ( | mecab_lattice_t * | lattice,
|  | size_t | pos
| ) |  |

C wrapper of MeCab::Lattice::begin_nodes(pos)

MECAB_DLL_EXTERN mecab_node_t* mecab_lattice_get_bos_node | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::bos_node()

MECAB_DLL_EXTERN int mecab_lattice_get_boundary_constraint | ( | mecab_lattice_t * | lattice,
|  | size_t | pos
| ) |  |

C wrapper of MeCab::Lattice::boundary_constraint(pos)

MECAB_DLL_EXTERN mecab_node_t* mecab_lattice_get_end_nodes | ( | mecab_lattice_t * | lattice,
|  | size_t | pos
| ) |  |

C wrapper of MeCab::Lattice::end_nodes(pos)

MECAB_DLL_EXTERN mecab_node_t* mecab_lattice_get_eos_node | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::eos_node()

MECAB_DLL_EXTERN const char* mecab_lattice_get_feature_constraint | ( | mecab_lattice_t * | lattice,
|  | size_t | pos
| ) |  |

C wrapper of MeCab::Lattice::feature_constraint(pos)

MECAB_DLL_EXTERN int mecab_lattice_get_request_type | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::request_type()

MECAB_DLL_EXTERN const char* mecab_lattice_get_sentence | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::sentence()

MECAB_DLL_EXTERN size_t mecab_lattice_get_size | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::size()

MECAB_DLL_EXTERN double mecab_lattice_get_theta | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::theta()

MECAB_DLL_EXTERN double mecab_lattice_get_z | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::Z()

MECAB_DLL_EXTERN int mecab_lattice_has_constraint | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::has_constraint()

MECAB_DLL_EXTERN int mecab_lattice_has_request_type | ( | mecab_lattice_t * | lattice,
|  | int | request_type
| ) |  |

C wrapper of MeCab::Lattice::has_request_type()

MECAB_DLL_EXTERN int mecab_lattice_is_available | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::is_available()

MECAB_DLL_EXTERN const char* mecab_lattice_nbest_tostr | ( | mecab_lattice_t * | lattice,
|  | size_t | N
| ) |  |

C wrapper of MeCab::Lattice::enumNBestAsString(N)

MECAB_DLL_EXTERN const char* mecab_lattice_nbest_tostr2 | ( | mecab_lattice_t * | lattice,
|  | size_t | N,
|  | char * | buf,
|  | size_t | size
| ) |  |

C wrapper of MeCab::Lattice::enumNBestAsString(N, buf, size)

MECAB_DLL_EXTERN mecab_lattice_t* mecab_lattice_new | ( |  | ) |

C wrapper of MeCab::createLattice()

MECAB_DLL_EXTERN mecab_node_t* mecab_lattice_new_node | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::newNode();.

MECAB_DLL_EXTERN int mecab_lattice_next | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::next()

MECAB_DLL_EXTERN void mecab_lattice_remove_request_type | ( | mecab_lattice_t * | lattice,
|  | int | request_type
| ) |  |

C wrapper of MeCab::Lattice::remove_request_type()

MECAB_DLL_EXTERN void mecab_lattice_set_boundary_constraint | ( | mecab_lattice_t * | lattice,
|  | size_t | pos,
|  | int | boundary_type
| ) |  |

C wrapper of MeCab::Lattice::boundary_constraint(pos, type)

MECAB_DLL_EXTERN void mecab_lattice_set_feature_constraint | ( | mecab_lattice_t * | lattice,
|  | size_t | begin_pos,
|  | size_t | end_pos,
|  | const char * | feature
| ) |  |

C wrapper of MeCab::Lattice::set_feature_constraint(begin_pos, end_pos, feature)

MECAB_DLL_EXTERN void mecab_lattice_set_request_type | ( | mecab_lattice_t * | lattice,
|  | int | request_type
| ) |  |

C wrapper of MeCab::Lattice::set_request_type()

MECAB_DLL_EXTERN void mecab_lattice_set_result | ( | mecab_lattice_t * | lattice,
|  | const char * | result
| ) |  |

C wrapper of MeCab::Lattice::set_result(result);.

MECAB_DLL_EXTERN void mecab_lattice_set_sentence | ( | mecab_lattice_t * | lattice,
|  | const char * | sentence
| ) |  |

C wrapper of MeCab::Lattice::set_sentence(sentence)

MECAB_DLL_EXTERN void mecab_lattice_set_sentence2 | ( | mecab_lattice_t * | lattice,
|  | const char * | sentence,
|  | size_t | len
| ) |  |

C wrapper of MeCab::Lattice::set_sentence(sentence, len)

MECAB_DLL_EXTERN void mecab_lattice_set_theta | ( | mecab_lattice_t * | lattice,
|  | double | theta
| ) |  |

C wrapper of MeCab::Lattice::set_theta()

MECAB_DLL_EXTERN void mecab_lattice_set_z | ( | mecab_lattice_t * | lattice,
|  | double | Z
| ) |  |

C wrapper of MeCab::Lattice::set_Z()

MECAB_DLL_EXTERN const char* mecab_lattice_strerror | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::what()

MECAB_DLL_EXTERN const char* mecab_lattice_tostr | ( | mecab_lattice_t * | lattice | ) |

C wrapper of MeCab::Lattice::toString()

MECAB_DLL_EXTERN const char* mecab_lattice_tostr2 | ( | mecab_lattice_t * | lattice,
|  | char * | buf,
|  | size_t | size
| ) |  |

C wrapper of MeCab::Lattice::toString(buf, size)

MECAB_DLL_EXTERN void mecab_model_destroy | ( | mecab_model_t * | model | ) |

C wapper of MeCab::deleteModel(model)

MECAB_DLL_EXTERN const mecab_dictionary_info_t* mecab_model_dictionary_info | ( | mecab_model_t * | model | ) |

C wapper of MeCab::Model::dictionary_info()

MECAB_DLL_EXTERN mecab_node_t* mecab_model_lookup | ( | mecab_model_t * | model,
|  | const char * | begin,
|  | const char * | end,
|  | mecab_lattice_t * | lattice
| ) |  |

C wrapper of MeCab::Model::lookup()

MECAB_DLL_EXTERN mecab_model_t* mecab_model_new | ( | int | argc,
|  | char ** | argv
| ) |  |

C wapper of MeCab::Model::create(argc, argv)

MECAB_DLL_EXTERN mecab_model_t* mecab_model_new2 | ( | const char * | arg | ) |

C wapper of MeCab::Model::create(arg)

MECAB_DLL_EXTERN mecab_lattice_t* mecab_model_new_lattice | ( | mecab_model_t * | model | ) |

C wapper of MeCab::Model::createLattice()

MECAB_DLL_EXTERN mecab_t* mecab_model_new_tagger | ( | mecab_model_t * | model | ) |

C wapper of MeCab::Model::createTagger()

MECAB_DLL_EXTERN int mecab_model_swap | ( | mecab_model_t * | model,
|  | mecab_model_t * | new_model
| ) |  |

C wrapper of MeCab::Model::swap()

MECAB_DLL_EXTERN int mecab_model_transition_cost | ( | mecab_model_t * | model,
|  | unsigned short | rcAttr,
|  | unsigned short | lcAttr
| ) |  |

C wrapper of MeCab::Model::transition_cost()

MECAB_DLL_EXTERN int mecab_nbest_init | ( | mecab_t * | mecab,
|  | const char * | str
| ) |  |

C wrapper of MeCab::Tagger::parseNBestInit(const char *str)

MECAB_DLL_EXTERN int mecab_nbest_init2 | ( | mecab_t * | mecab,
|  | const char * | str,
|  | size_t | len
| ) |  |

C wrapper of MeCab::Tagger::parseNBestInit(const char *str, size_t len)

MECAB_DLL_EXTERN const mecab_node_t* mecab_nbest_next_tonode | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::Tagger::nextNode()

MECAB_DLL_EXTERN const char* mecab_nbest_next_tostr | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::Tagger::next()

MECAB_DLL_EXTERN char* mecab_nbest_next_tostr2 | ( | mecab_t * | mecab,
|  | char * | ostr,
|  | size_t | olen
| ) |  |

C wrapper of MeCab::Tagger::next(char *ostr, size_t olen)

MECAB_DLL_EXTERN const char* mecab_nbest_sparse_tostr | ( | mecab_t * | mecab,
|  | size_t | N,
|  | const char * | str
| ) |  |

C wrapper of MeCab::Tagger::parseNBest(size_t N, const char *str)

MECAB_DLL_EXTERN const char* mecab_nbest_sparse_tostr2 | ( | mecab_t * | mecab,
|  | size_t | N,
|  | const char * | str,
|  | size_t | len
| ) |  |

C wrapper of MeCab::Tagger::parseNBest(size_t N, const char *str, size_t len)

MECAB_DLL_EXTERN char* mecab_nbest_sparse_tostr3 | ( | mecab_t * | mecab,
|  | size_t | N,
|  | const char * | str,
|  | size_t | len,
|  | char * | ostr,
|  | size_t | olen
| ) |  |

C wrapper of MeCab::Tagger::parseNBest(size_t N, const char *str, char *ostr, size_t olen)

MECAB_DLL_EXTERN mecab_t* mecab_new | ( | int | argc,
|  | char ** | argv
| ) |  |

C wrapper of MeCab::Tagger::create(argc, argv)

MECAB_DLL_EXTERN mecab_t* mecab_new2 | ( | const char * | arg | ) |

C wrapper of MeCab::Tagger::create(arg)

MECAB_DLL_EXTERN int mecab_parse_lattice | ( | mecab_t * | mecab,
|  | mecab_lattice_t * | lattice
| ) |  |

C wrapper of MeCab::Tagger::parse(MeCab::Lattice *lattice)

MECAB_DLL_EXTERN void mecab_set_all_morphs | ( | mecab_t * | mecab,
|  | int | all_morphs
| ) |  |

C wrapper of MeCab::Tagger::set_all_moprhs()

MECAB_DLL_EXTERN void mecab_set_lattice_level | ( | mecab_t * | mecab,
|  | int | level
| ) |  |

C wrapper of MeCab::Tagger::set_lattice_level()

MECAB_DLL_EXTERN void mecab_set_partial | ( | mecab_t * | mecab,
|  | int | partial
| ) |  |

C wrapper of MeCab::Tagger::partial()

MECAB_DLL_EXTERN void mecab_set_theta | ( | mecab_t * | mecab,
|  | float | theta
| ) |  |

C wrapper of MeCab::Tagger::set_theta()

MECAB_DLL_EXTERN const mecab_node_t* mecab_sparse_tonode | ( | mecab_t * | mecab,
|  | const char * |
| ) |  |

C wrapper of MeCab::Tagger::parseToNode(const char *str)

MECAB_DLL_EXTERN const mecab_node_t* mecab_sparse_tonode2 | ( | mecab_t * | mecab,
|  | const char * | ,
|  | size_t |
| ) |  |

C wrapper of MeCab::Tagger::parseToNode(const char *str, size_t len)

MECAB_DLL_EXTERN const char* mecab_sparse_tostr | ( | mecab_t * | mecab,
|  | const char * | str
| ) |  |

C wrapper of MeCab::Tagger::parse(const char *str)

MECAB_DLL_EXTERN const char* mecab_sparse_tostr2 | ( | mecab_t * | mecab,
|  | const char * | str,
|  | size_t | len
| ) |  |

C wrapper of MeCab::Tagger::parse(const char *str, size_t len)

MECAB_DLL_EXTERN char* mecab_sparse_tostr3 | ( | mecab_t * | mecab,
|  | const char * | str,
|  | size_t | len,
|  | char * | ostr,
|  | size_t | olen
| ) |  |

C wrapper of MeCab::Tagger::parse(const char *str, char *ostr, size_t olen)

MECAB_DLL_EXTERN const char* mecab_strerror | ( | mecab_t * | mecab | ) |

C wrapper of MeCab::getLastError()

MECAB_DLL_EXTERN int mecab_system_eval | ( | int | argc,
|  | char ** | argv
| ) |  |

MECAB_DLL_EXTERN int mecab_test_gen | ( | int | argc,
|  | char ** | argv
| ) |  |

MECAB_DLL_EXTERN const char* mecab_version | ( |  | ) |

C wrapper of MeCab::Tagger::version()